@font-face { font-family: "Lexend Deca"; src: url("../resources/fonts/LexendDeca-VariableFont_wght.ttf"); }
@font-face { font-family: "Gobold Extra2"; src: url("../resources/fonts/Gobold\ Extra2.otf"); }
@font-face { font-family: "Poppins"; src: url("../resources/fonts/Poppins-ExtraBold.ttf"); }

html {
	scroll-behavior: smooth;
}

body {
  font-family: "Lexend Deca";
  background-color: #EDEEF0;
  color: #383C4B;
  margin: 0;
}

header {
  position: sticky;
  top: 0;
  height: 68px;
  background-color: #BC005D;
  width: 100%;
  display: flex;
  justify-content: space-between;
  white-space: nowrap;
}

header a {
  color: #EDEEF0;
  font-family: "Gobold Extra2";
  height: 36px;
  line-height: 36px;
  padding: 16px;
  text-decoration: none;
}

header > a {
  position: absolute;
  display: flex;
  gap: 10px;
  font-size: 30px;
}

#accueil {
  left: 0;
}

#language {
  right: 0;
}

header nav {
  margin: 0 68px;
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 50px;
  overflow: hidden;
}

header nav a {
  font-size: 24px;
}

header nav a.important:not(:hover) {
    background-color: black;
}

header nav a:hover {
  background: #e16995;
}

@media (min-width: 1200px) {
  header nav.reduit {
    gap: 25px;
  }

  header nav.reduit a {
    font-size: 20px;
  }
}

@media (max-width: 1200px) {
    header > a span {
        display: none;
    }

    header nav {
      gap: 25px;
    }

    header nav a {
      font-size: 20px;
    }
}

@media (max-width: 900px) {
    header nav {
      gap: 0;
    }

    header nav a {
      font-size: 16px;
    }
}

@media (max-width: 600px) {
    header nav a:not(.important) {
      display: none;
    }
}

main {
  margin: 0 auto 25px;
	width: 100%;
	max-width: 1400px;
}

h1 {
  text-align: center;
  font-size: 40px;
  text-transform: uppercase;
  font-family: "Poppins";
}

h2 {
  text-align: center;
  font-size: 28px;
  font-family: "Poppins";
}

h3 {
  text-align: center;
  font-size: 24px;
  font-family: "Poppins";
}

h4 {
  text-align: center;
  font-size: 20px;
}

footer {
    padding: 20px 5px 5px;
    background-color: #BC005D;
    color: #EDEEF0;
    font-size: 16px;
}

footer nav {
    display: flex;
    justify-content: center;
    gap: 32px;
    width: max-content;
    margin: 0 auto;
    padding: 16px;
}

footer nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

footer h4 {
    margin: 0 0 8px;
    text-align: left;
    font-size: 16px;
}

footer a img {
    margin-right: 5px;
}

footer a {
    text-decoration: none;
    color: #EDEEF0;
}

footer a:hover {
    color: #524c5d;
}

footer p {
  margin: 16px auto;
  text-align: center;
}

@media (max-width: 600px) {
    footer nav {
        flex-direction: column;
        gap: 16px;
    }

    footer p {
      display: flex;
      flex-direction: column;
    }
}
